{% load static %}

{% block content %}
  <!DOCTYPE html>
  <html lang="en">

    <head>
      <meta charset="utf-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <title>Welcome to the bugboard</title>
      <link rel="icon" type="image/png" href="{% static 'bugboard/favicon.png' %}" />
      <link href="{% static 'bugboard/bootstrap.min.css' %}" rel="stylesheet">
      <link href="{% static 'bugboard/design.css' %}" rel="stylesheet">
    </head>

    <body>

      <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
          <div class="row">
            <div class="col">
              <a class="navbar-brand" href="/bugboard/"><img class="title"
                                                             src="{% static 'bugboard/title.png' %}" /></a>
              is displaying <b>{{ task_list|length }}</b> tasks
              <div class="alert alert-warning float-right" role="alert">
                <b>{{ total_tasks }}</b> open tasks in
                <b>{{ total_projects }}</b> projects
              </div>
            </div>
          </div>
        </div>
      </nav>

      <div id="hackish-way-of-detecting-sticky-in-js"></div>

      <div class="container-fluid">
        <nav id="menu" class="m-3">
          <div class="btn-group" role="group">
            <a href="/unnassigned/" data-link="/unnassigned/" class="btn btn-outline-secondary">Unnassigned</a>
            <a href="/commented/" data-link="/commented/" class="btn btn-outline-secondary">Last commented</a>
            <a href="/created/" data-link="/created/" class="btn btn-outline-secondary">Last created</a>

            {% for user in BUGBOARD_USER_LIST %}
              <a href="/user/?id={{ user.id }}" data-idname="{{ user.id }}" class="btn btn-outline-secondary" data-placement="bottom" data-toggle="tooltip" title="{{ user.name }}">
                {% if user.avatar %}
                  <img class="avatar" src="{{ user.avatar }}" alt="{{ user.name }}" />
                {% else %}
                  <img class="avatar" src="{% static 'bugboard/default_member.png' %}" alt="{{ user.name }}" />
                {% endif %}
              </a>
            {% endfor %}
            <a href="/all/" data-link="/all/" class="btn btn-outline-secondary">All</a>
          </div>
          <div id="order-group" class="btn-group ml-3" role="group">
            <a id="order-oldest" data-url="created_at" class="btn btn-outline-secondary">Oldest</a>
            <a id="order-newest" data-url="-created_at" class="btn btn-outline-secondary">Newest</a>
          </div>
          <div id="fixed-infos">
            <div class="btn btn-primary btn-sm disabled">
              <b>{{ task_list|length }}</b> tasks
            </div>
          </nav>

          <div id="mainpanel" class="container-fluid">
            <div class="row mx-n1">
              {% for task in task_list %}
                {% block task %}
                  {% include "bugboard/task.html" %}
                {% endblock %}
              {% endfor %}
            </div>
          </div>

        </div>

    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
        <script src="{% static 'bugboard/jquery.min.js' %}"></script>
        <script src="{% static 'bugboard/bootstrap.bundle.min.js' %}"></script>
        <script src="{% static 'bugboard/scripts.js' %}"></script>
      </body>

    </html>
{% endblock %}
